curl --request POST \
--url https://api.example.com/feature-memory/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"content": "<string>",
"annotations": {},
"status": "active"
}
'import requests
url = "https://api.example.com/feature-memory/"
payload = {
"key": "<string>",
"content": "<string>",
"annotations": {},
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', content: '<string>', annotations: {}, status: 'active'})
};
fetch('https://api.example.com/feature-memory/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "<string>",
"content": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"annotations": {},
"status": "active",
"asset_links": [
{
"asset_type": "automation",
"asset_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"feature_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_name": "<string>",
"usage_notes": "<string>",
"annotations": {},
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_edit_reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create a feature memory entry.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
Stable feature key, for example customer.login_count_30d. Use letters, numbers, underscores, dots, colons, or hyphens.
1 - 255Freeform markdown explaining what the feature means and how to calculate it.
1Optional lightweight metadata such as tags, owner, review hints, datasets, or implementation notes. Keep primary meaning in content.
active, deprecated Response
Successful Response
Stable feature key, for example customer.login_count_30d. Use letters, numbers, underscores, dots, colons, or hyphens.
1 - 255Freeform markdown explaining what the feature means and how to calculate it.
1Optional lightweight metadata such as tags, owner, review hints, datasets, or implementation notes. Keep primary meaning in content.
active, deprecated Show child attributes
Show child attributes